"use strict";
// @copyright Microsoft Corporation. All rights reserved.
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeFabricIcons = void 0;
var icons_1 = require("@uifabric/icons"); // 47KB minified
/**
 * Initializing the FluentUI (previously Office UI Fabric React) icons.
 *
 * This should happen only once and before any component starts using icons.
 *
 * @internal
 */
function initializeFabricIcons() {
    try {
        // FYI: This approach doesn't work in a debugging session due to the fact that
        // fabric assets are not currently uploaded as part of debug builds.
        var useCustomBaseUrl = !sessionStorage.getItem('spfx-debug') &&
            // Environment.type isn't initialized yet at this point so checking the local workbench this way
            window.location.hostname !== 'localhost';
        if (useCustomBaseUrl) {
            // odsp-next apps use require.toUrl() which isn't available in sp-client apps.
            // Work-around to lookup runtime CDN path using local project file to avoid adding dependency on odsp-media.
            var SAMPLE_URL = new URL(require('./assets/blue.png'));
            // VSO:1098737 - Build-version hard-coded for now until it can become available in context
            // Uploaded from https://onedrive.visualstudio.com/Design/_git/fabric-cdn repo
            var baseUrl = SAMPLE_URL.origin + '/files/fabric-cdn-prod_20220127.003/assets/icons/';
            (0, icons_1.initializeIcons)(baseUrl, { disableWarnings: true });
        }
        else {
            (0, icons_1.initializeIcons)();
        }
    }
    catch (e) {
        // Fallback to the default SharePoint cdn.
        (0, icons_1.initializeIcons)();
    }
}
exports.initializeFabricIcons = initializeFabricIcons;
//# sourceMappingURL=initializeFabricIcons.js.map